require 'spec_helper'

describe SubZero::Service do

  class Auditing
    extend SubZero::Service

    sid :auditing
  end

  class Auditing
    module Handlers
      class Logs < SubZero::Service::Handler
      end
    end
  end

  subject { Auditing }

  describe '.sid' do
    it 'retrieves sid' do
      subject.sid.should eq(:auditing)
    end
  end

  describe '.route' do
    before do
      subject.route do
        verb list: 'logs#index'
      end
    end

    it 'defines routes' do
      subject.routes.key?('LIST').should be_true
    end
  end

end
