# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sub_zero/version'

Gem::Specification.new do |spec|
  spec.name          = 'sub_zero'
  spec.version       = SubZero::VERSION
  spec.authors       = ["Victor Rodrigues", "Bruno Antunes"]
  spec.email         = ["victorc.rodrigues@gmail.com", "sardaukar.siet@gmail.com"]
  spec.description   = %q{ZeroMQ SOA solution}
  spec.summary       = %q{ZeroMQ GREAT SOA solution}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'

  spec.add_dependency 'thor'
  spec.add_dependency 'msgpack'
  spec.add_dependency 'ffi-rzmq'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'colorize'
  spec.add_dependency 'daemons'
end
